# Interface ISynchronizationScopeParticipantFactory

public interface ISynchronizationScopeParticipantFactory
Factory interface for creating a participant for use with an `ISynchronizationScopeManager`. This factory should be assocated with a `ModelProvider` using the `IAdaptable` mechanism.

This interface may be implemented by clients.

Since:
  3.2
See Also:
  - `ModelProvider`
  - `IAdaptable`
  - `IAdapterManager`
  - `ISynchronizationScopeManager`
  - `ISynchronizationScopeParticipant`

## Method Summary

Modifier and Type
Method
Description
`ISynchronizationScopeParticipant`
`createParticipant(ModelProvider provider, ISynchronizationScope scope)`
Create a participant in the scope management process for the given model provider.

## Method Details

### createParticipant

ISynchronizationScopeParticipant createParticipant(ModelProvider provider, ISynchronizationScope scope)
Create a participant in the scope management process for the given model provider.

Parameters:
  `provider` - the model provider
  `scope` - the scope
Returns:
  a participant in the scope management process